/**
 * Freqtrade API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 2021.12-dev21
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

import ApiClient from '../ApiClient';

/**
 * The BlacklistPayload model module.
 * @module model/BlacklistPayload
 * @version 2021.12-dev21
 */
class BlacklistPayload {
    /**
     * Constructs a new <code>BlacklistPayload</code>.
     * @alias module:model/BlacklistPayload
     * @param blacklist {Array.<String>} 
     */
    constructor(blacklist) { 
        
        BlacklistPayload.initialize(this, blacklist);
    }

    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj, blacklist) { 
        obj['blacklist'] = blacklist;
    }

    /**
     * Constructs a <code>BlacklistPayload</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/BlacklistPayload} obj Optional instance to populate.
     * @return {module:model/BlacklistPayload} The populated <code>BlacklistPayload</code> instance.
     */
    static constructFromObject(data, obj) {
        if (data) {
            obj = obj || new BlacklistPayload();

            if (data.hasOwnProperty('blacklist')) {
                obj['blacklist'] = ApiClient.convertToType(data['blacklist'], ['String']);
            }
        }
        return obj;
    }


}

/**
 * @member {Array.<String>} blacklist
 */
BlacklistPayload.prototype['blacklist'] = undefined;






export default BlacklistPayload;

